Is the itouch Dsi 1.4 compatible?

Discussion in 'NDS - Flashcarts and Accessories' started by Mana94, Feb 14, 2010.

  1. Mana94
    OP

    Mana94 GBAtemp Regular

    Member
    1
    Jul 12, 2009
    United States
    SORRY! I DON'T MEAN ITOUCH! I MEANT "IPLAYER"


    Is the iplayer Dsi 1.4 compatible? Since we can't play GBA games I am considering buying it.
    Is this 1.4 compatible, or are there any more GBA playing flashcarts for dsi?

    I am pretty content with this one along with my R4i, I just want to make sure before I jump to conclusions.
     
  2. kinio_64

    kinio_64 Advanced Member

    Newcomer
    2
    Dec 10, 2009
    yes it is 1.4 compatible
     
  3. Dark^'^Knigh

    Dark^'^Knigh GBAtemp Maniac

    Member
    1
    Apr 25, 2007
    Paradise
    Not yet released, but may well be worth waiting for: http://gbatemp.net/index.php?showtopic=192...t=0&start=0
     
  4. Mana94
    OP

    Mana94 GBAtemp Regular

    Member
    1
    Jul 12, 2009
    United States
    Yup, i'll wait! Especially seeing the Iplayer is $40...LOL!
     
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice